Subject: bug#48668: configure: error: C compiler cannot create executables

From: Thomas Jahns <[email-masked]>
Date: Wed, 26 May 2021 15:48:54 +0200

Hey Jeffrey,

did you try to run the command in question on the command line, i.e. what happens when you try 

/Library/Developer/CommandLineTools/usr/bin/clang \
  -fno-common -I/usr/local/include -DNDEBUG -L/usr/local/lib helloworld.c

with some simple source file like the attached one?

Since this is on Apple macOS: Did you complete the installation of the command-line tools? Unfortunately there's some version-specific dance you have to complete for Xcode command-line tools to properly work.

Regards, Thomas

> On May 26, 2021, at 12:29 , Jeffrey Walton <[email-masked]> wrote:
> 
> I'm trying to build libtool-2.4.6 on an Apple M1. Configure dies at:
> 
> configure:3902: checking whether the C compiler works
> configure:3924: /Library/Developer/CommandLineTools/usr/bin/clang
> -fno-common -I/usr/local/include -DNDEBUG -L/usr/local/lib conftest.c
>> &5
> ld: library not found for -lSystem
> 
> I think that means it is time to update libtool (and its
> dependencies), and release a new tarball.
> 
> Thanks.
> <config.log.zip>_______________________________________________
> Bug-libtool mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-libtool